Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class OntDocumentManager.DefaultReadHook

    java.lang.Object
      com.hp.hpl.jena.ontology.OntDocumentManager.DefaultReadHook

All Implemented Interfaces:
  OntDocumentManager.ReadHook

Enclosing class:
  OntDocumentManager

    public static class OntDocumentManager.DefaultReadHook

extends java.lang.Object
implements OntDocumentManager.ReadHook

The default implementation of `OntDocumentManager.ReadHook` makes no changes.

Constructor Summary
`OntDocumentManager.DefaultReadHook()`

Method Summary
`void` | `afterRead(Model model, java.lang.String source, OntDocumentManager odm)` Behaviour that is invoked just after the contents of the given source (URI or filename) have been read into the given model.
`java.lang.String` | `beforeRead(Model model, java.lang.String source, OntDocumentManager odm)` Behaviour that is invoked before the contents of the given source (URI or filename) are read into the given model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntDocumentManager.DefaultReadHook

    public OntDocumentManager.DefaultReadHook()

Method Detail

### afterRead

    public void afterRead(Model model,
                          java.lang.String source,
                          OntDocumentManager odm)

  Description copied from interface: `OntDocumentManager.ReadHook`

  Behaviour that is invoked just after the contents of the given source (URI or filename) have been read into the given model. Handlers are permitted to make state changes to the model and the ODM, but carefully!

  Specified by:
    `afterRead` in interface `OntDocumentManager.ReadHook`
  Parameters:
    `model` - The model that is going to receive the contents of the source
    `source` - The identity of the source, as a file name or URI
    `odm` - The Ont Document Manager invoking this handler

### beforeRead

    public java.lang.String beforeRead(Model model,
                                       java.lang.String source,
                                       OntDocumentManager odm)

  Description copied from interface: `OntDocumentManager.ReadHook`

  Behaviour that is invoked before the contents of the given source (URI or filename) are read into the given model. The return value from this method denotes a revised string to use in place of the supplied source string. Handlers are permitted to make state changes to the model and the ODM, but carefully!

  Specified by:
    `beforeRead` in interface `OntDocumentManager.ReadHook`
  Parameters:
    `model` - The model that is going to receive the contents of the source
    `source` - The identity of the source, as a file name or URI
    `odm` - The Ont Document Manager invoking this handler
  Returns:
    The revised name of the source (or the same string if no change to the source is required). Note that if this method returns `null`, the source will not be subsequently read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP